umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - w -

- wasFed() : DebugLanguageParserHelper< SessionT, TokenStreamT, TokenT, LexerT, StartAstT, DebugVisitorT, TokenTextT >
- wasPositionChanged() : UMLWidget
- wasSizeChanged() : UMLWidget
- welcomeWindow : UMLAppPrivate
- wheelEvent() : UMLView
- WhenNonEmpty : CodeGenerationPolicy
- widget() : Uml::CmdBaseWidgetCommand
- widgetA_type : AssocRules::Assoc_Rule
- widgetAt() : UMLScene
- widgetB_type : AssocRules::Assoc_Rule
- WidgetBase() : WidgetBase
- WidgetBasePopupMenu() : WidgetBasePopupMenu
- widgetForRole() : AssociationWidget
- widgetHasUMLObject() : WidgetBase
- widgetIDForRole() : AssociationWidget
- widgetLink() : UMLScene, UMLScenePrivate
- widgetList() : UMLScene
- widgetLocalIDForRole() : AssociationWidget
- widgetMoved() : AssociationWidget
- widgetOnDiagram() : UMLScene
- widgetToOverwrite() : CodeGenOptionsPage
- WidgetType : WidgetBase
- widgetType() : ToolBarStateOneWidget
- widgetWithID() : ClassifierWidget, PinPortBase, WidgetBase
- width() : ChildWidgetPlacement, Settings::CodeViewerState, UMLWidget
- WorkToolBar() : WorkToolBar
- workToolBar() : UMLApp
- writeAbstractClassifier() : XMLSchemaWriter
- writeAssociatedAttributes() : CSharpWriter, ValaWriter
- writeAssociation() : ASWriter, JSWriter
- writeAssociationDecl() : TclWriter
- writeAssociationDecls() : CppWriter, DWriter, JavaWriter, XMLSchemaWriter
- writeAssociationIncl() : TclWriter
- writeAssociationMethods() : CppWriter, DWriter, JavaWriter
- writeAssociationRoleDecl() : CppWriter, DWriter, JavaWriter, TclWriter, XMLSchemaWriter
- writeAssociationRoleMethod() : CppWriter, DWriter, JavaWriter
- writeAssociationRoleSource() : TclWriter
- writeAssociationSource() : TclWriter
- writeAttribute() : CSharpWriter, ValaWriter
- writeAttributeDecl() : DWriter, TclWriter, XMLSchemaWriter
- writeAttributeDecls() : CppWriter, DWriter, JavaWriter, XMLSchemaWriter
- writeAttributeGroupDecl() : XMLSchemaWriter
- writeAttributeMethods() : CppWriter, DWriter, JavaWriter, RubyWriter
- writeAttributes() : CSharpWriter, DWriter, PerlWriter, Php5Writer, PhpWriter, PythonWriter, ValaWriter
- writeAttributeSource() : TclWriter
- writeBlankLine() : CppWriter, DWriter, JavaWriter
- writeChildObjsInAssociation() : XMLSchemaWriter
- writeClass() : AdaWriter, ASWriter, CppWriter, CSharpWriter, DWriter, IDLWriter, JavaWriter, JSWriter, PascalWriter, PerlWriter, Php5Writer, PhpWriter, PythonWriter, RubyWriter, SimpleCodeGenerator, SQLWriter, TclWriter, ValaWriter, XMLSchemaWriter
- writeClassDecl() : CppWriter, DWriter, JavaWriter
- writeClassifier() : XMLSchemaWriter
- writeCode() : TclWriter
- writeCodeToFile() : CodeGenerator, CPPCodeGenerator, SimpleCodeGenerator
- writeComm() : TclWriter
- writeComment() : CppWriter, DWriter, JavaWriter, XMLSchemaWriter
- writeComplexTypeClassifierDecl() : XMLSchemaWriter
- writeConcreteClassifier() : XMLSchemaWriter
- writeConfig() : CodeGenerationPolicy
- writeConstructor() : DWriter, JavaWriter
- writeConstructorDecl() : TclWriter
- writeConstructorDecls() : CppWriter
- writeConstructorHeader() : TclWriter
- writeConstructorMethods() : CppWriter
- writeConstructorSource() : TclWriter
- writeDataTypes() : CppWriter
- writeDestructorDecl() : TclWriter
- writeDestructorHeader() : TclWriter
- writeDestructorSource() : TclWriter
- writeDocu() : TclWriter
- writeDocumentation() : CppWriter, DWriter, JavaWriter
- writeElementDecl() : XMLSchemaWriter
- writeGroupClassifierDecl() : XMLSchemaWriter
- writeHeaderAccessorMethodDecl() : CppWriter
- writeHeaderAttributeAccessorMethodDecls() : CppWriter
- writeHeaderAttributeAccessorMethods() : CppWriter
- writeHeaderFieldDecl() : CppWriter
- writeHeaderFile() : CppWriter, TclWriter
- writeIncludes() : CppWriter
- writeInitAttributeDecl() : CppWriter
- writeInitAttributeHeader() : TclWriter
- writeInitAttributeMethod() : CppWriter
- writeInitAttributeSource() : TclWriter
- writeListedCodeDocsToFile() : CodeGenerator
- writeModuleDecl() : DWriter
- writeModuleImports() : DWriter
- writeOperation() : AdaWriter, IDLWriter, PascalWriter
- writeOperationHeader() : TclWriter
- writeOperations() : ASWriter, CppWriter, CSharpWriter, DWriter, JavaWriter, JSWriter, PerlWriter, Php5Writer, PhpWriter, PythonWriter, RubyWriter, ValaWriter
- writeOperationSource() : TclWriter
- writeOverridesRecursive() : CSharpWriter, ValaWriter
- writeProtectionMod() : DWriter
- writeRealizationsRecursive() : CSharpWriter, ValaWriter
- writeSectionComments : Settings::CodeGenerationState
- WriteSectionCommentsPolicy : CodeGenerationPolicy
- writeSingleAttributeAccessorMethods() : CppWriter, DWriter, JavaWriter, RubyWriter
- writeSourceFile() : CppWriter, TclWriter
- writeToStatusBar() : UMLDoc
- writeUse() : TclWriter
- writeVectorAttributeAccessorMethods() : CppWriter, DWriter, JavaWriter
- writtenClassifiers : XMLSchemaWriter
- wt_Activity : WidgetBase
- wt_Actor : WidgetBase
- wt_Artifact : WidgetBase
- wt_Association : WidgetBase
- wt_Box : WidgetBase
- wt_Category : WidgetBase
- wt_Class : WidgetBase
- wt_CombinedFragment : WidgetBase
- wt_Component : WidgetBase
- wt_Datatype : WidgetBase
- wt_Entity : WidgetBase
- wt_Enum : WidgetBase
- wt_FloatingDashLine : WidgetBase
- wt_ForkJoin : WidgetBase
- wt_Instance : WidgetBase
- wt_Interface : WidgetBase
- wt_Max : WidgetBase
- wt_Message : WidgetBase
- wt_Min : WidgetBase
- wt_Node : WidgetBase
- wt_Note : WidgetBase
- wt_Object : WidgetBase
- wt_ObjectNode : WidgetBase
- wt_Package : WidgetBase
- wt_Pin : WidgetBase
- wt_Port : WidgetBase
- wt_Precondition : WidgetBase
- wt_Region : WidgetBase
- wt_Signal : WidgetBase
- wt_State : WidgetBase
- wt_Text : WidgetBase
- wt_UMLWidget : WidgetBase
- wt_UseCase : WidgetBase